/*
 *    Copyright  1996, 1997, 1998, 1999, 2000 by Remco Treffkorn
 *    Distributed under the terms of the Q Public License. Please see
 *    the included file LICENSE.
 */
#ifndef IMAGE_H
#define IMAGE_H

typedef struct {
    int refCount;               /* reference count */
    int isGrey, isBW;           /* simple indicator flags  GreyScale, Black & White */
    int scale;
    int cmapPacked;
    int cmapSize;               /* number of colors in colormap == 0 if no colormap */
    unsigned char *cmapData;
    int width, height;          /* width, height of image */
    int firstline, lastline;
    int firstrow, lastrow;
    unsigned char *data;
    unsigned char *maskData;
} Image;

#define ImageSetCmap(image, index, r, g, b) do {                \
                        image->cmapData[(index) * 3 + 0] = r;   \
                        image->cmapData[(index) * 3 + 1] = g;   \
                        image->cmapData[(index) * 3 + 2] = b;   \
                } while (0)

#endif
